package main

import (
	"flag"
	"fmt"
	//"gopkg.in/yaml.v2"
	//"net/http"
	"bitbucket.org/skobkin/point_post_crawler/point"
	"time"
	"log"
)



func main() {
	var login, password string

	flag.StringVar(&login, "l", "", "Account login")
	flag.StringVar(&password, "p", "", "Account password")
	flag.Parse()

	if len(login) < 1 || len(password) < 1 {
		fmt.Printf("Login and password must be defined")
		return
	}

	client := point.Client{}

	_, login_err := client.Login(login, password)

	if login_err != nil {
		fmt.Printf("Login error %s", login_err)
		return
	} else {
		fmt.Printf("Successfully authenticated!\n")
	}

	page, req_err := client.GetRecentAllPostsPage()

	if req_err != nil {
		log.Fatal(req_err)
		return
	}

	fmt.Printf("1 page requested\n")
	fmt.Printf("%d posts\n", len(page.Posts))

	pageNumber := 1;

	for page.HasNext {
		pageNumber++

		page, req_err := client.GetNextAllPostsPage(page)

		if req_err != nil {
			log.Fatal(req_err)
			return
		}

		fmt.Printf("%d page requested\n", pageNumber)
		fmt.Printf("%d posts\n", len(page.Posts))

		time.Sleep(2 * time.Second)
	}
}

